org.springframework.web.servlet.view.tiles2

## Class SpringTilesApplicationContextFactory

- java.lang.Object
- - org.apache.tiles.context.AbstractTilesApplicationContextFactory
  - - org.springframework.web.servlet.view.tiles2.SpringTilesApplicationContextFactory

All Implemented Interfaces:
  Initializable

    public class SpringTilesApplicationContextFactory
    extends AbstractTilesApplicationContextFactory
    implements Initializable

Spring-specific subclass of the standard Tiles AbstractTilesApplicationContextFactory, passing given properties through as Tiles init-param map.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `TilesConfigurer.setTilesProperties(java.util.Properties)`

### Field Summary

### Fields inherited from class org.apache.tiles.context.AbstractTilesApplicationContextFactory

`APPLICATION_CONTEXT_FACTORY_INIT_PARAM`

### Constructor Summary

Constructors
Constructor and Description
`SpringTilesApplicationContextFactory()`

### Method Summary

Methods
`TilesApplicationContext` `createApplicationContext(Object context)`
`void` `init(Map<String,String> params)`

### Methods inherited from class org.apache.tiles.context.AbstractTilesApplicationContextFactory

`createFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpringTilesApplicationContextFactory

    public SpringTilesApplicationContextFactory()

### Method Detail

#### init

    public void init(Map<String,String> params)

Specified by:
  `init` in interface `Initializable`

#### createApplicationContext

    public TilesApplicationContext createApplicationContext(Object context)

Specified by:
  `createApplicationContext` in class `AbstractTilesApplicationContextFactory`